%define url_ver	%(echo %{version} | cut -d. -f1,2)

Summary:	Search plugin for Xfce panel
Name:		xfce4-linelight-plugin
Version:	0.1.7
Release:	%mkrel 9
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://goodies.xfce.org/projects/panel-plugins/%{name}
# Semi-official source from upstream svn:
Source0:	https://svn.ganymede.ch/private/trunk/%{name}/releases/%{name}-%{version}.tar.bz2
##Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# From Gentoo:
Patch0:		xfce4-linelight-plugin-0.1.7-port-to-xfcerc.patch
# Originally from PLD Linux, modified to apply to 0.1.7:
Patch1:		xfce4-linelight-plugin-0.1.7-port-to-libxfce4ui.patch
Patch2:		xfce4-linelight-plugin-0.1.7-automake1.13.patch
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(libxfce4ui-1) >= 4.8.0
BuildRequires:	pkgconfig(libxfce4panel-1.0)
Requires:	xfce4-panel >= 4.8.0

%description
Linelight is a simple frontend for the locate search. The search results are
listed in sections (music, video, images, ... ) and can be executed directly
from the Xfce panel.

%prep
%setup -q
%autopatch -p1

%build
NOCONFIGURE=yes xdt-autogen
%configure2_5x

%make

%install
%makeinstall_std

%files
%doc AUTHORS NEWS
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/xfce4/panel-plugins/linelight.desktop


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 0.1.7-9.mga6
+ Revision: 963552
- Mageia 6 Mass Rebuild

* Sun Sep 20 2015 wally <wally> 0.1.7-8.mga6
+ Revision: 881804
- drop %%find_lang macro (useless, no translations in pkg)

* Tue Mar 03 2015 wally <wally> 0.1.7-7.mga5
+ Revision: 817447
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 0.1.7-6.mga5
+ Revision: 743186
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.7-5.mga5
+ Revision: 690615
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.7-4.mga4
+ Revision: 520583
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.1.7-3.mga3
+ Revision: 386830
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 0.1.7-2.mga3
+ Revision: 338180
- add patch to fix build with automake 1.13
- fix build after %%_libexecdir change

* Tue Jul 17 2012 wally <wally> 0.1.7-1.mga3
+ Revision: 271839
- new version 0.1.7 (sources from upstream svn)
- add patches from PLD and Gentoo
- clean .spec
- import from Mdv


* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.6-5mdv2010.1
+ Revision: 543427
- rebuild for mdv 2010.1

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.1.6-4mdv2010.0
+ Revision: 446055
- rebuild

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.6-3mdv2009.1
+ Revision: 349458
- rebuild for xfce-4.6.0

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.6-2mdv2009.1
+ Revision: 294997
- rebuild for new Xfce4.6 beta1

* Sun Jul 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.6-1mdv2009.0
+ Revision: 250433
- add source and spec file
- Created package structure for xfce4-linelight-plugin.

